Bug 1158670 - Review Request: golang-github-Sirupsen-logrus - Structured logger for Go
Summary: Review Request: golang-github-Sirupsen-logrus - Structured logger for Go
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-29 20:25 UTC by Lokesh Mandvekar
Modified: 2015-08-10 13:49 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-22 12:39:35 UTC
jchaloup: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
update of spec file (1.03 KB, patch)
2014-10-30 15:16 UTC, Jan Chaloupka
no flags Details | Diff

Description Lokesh Mandvekar 2014-10-29 20:25:41 UTC
Spec URL: https://lsm5.fedorapeople.org/golang-github-Sirupsen-logrus/golang-github-Sirupsen-logrus.spec
SRPM URL: https://lsm5.fedorapeople.org/golang-github-Sirupsen-logrus/SRPMS/golang-github-Sirupsen-logrus-0.5.1-1.fc22.src.rpm

Description: 
Structured logger for Go

Fedora Account System Username: lsm5

$ rpmlint golang-github-Sirupsen-logrus.spec SRPMS/golang-github-Sirupsen-logrus-0.5.1-1.fc22.src.rpm RPMS/noarch/golang-github-Sirupsen-logrus-devel-0.5.1-1.fc22.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7978514

Comment 1 Jan Chaloupka 2014-10-30 15:16:23 UTC
Created attachment 952205 [details]
update of spec file

Missing BuildRequires on golang(github.com/stretchr/testify/assert) and test. Otherwise it is OK. Licence se correct.

Comment 2 Vincent Batts 2014-10-30 15:27:48 UTC
reviewed and it looks good. It complies with the current go guidelines.
Lokesh, though the hooks/airbrake have additional requirement that is not packaged yet "github.com/tobi/airbrake-go". Perhaps we don't Provide that yet? or also package that import?

Comment 3 Lokesh Mandvekar 2014-10-30 15:35:53 UTC
(In reply to Jan Chaloupka from comment #1)
> Created attachment 952205 [details]
> update of spec file
> 
> Missing BuildRequires on golang(github.com/stretchr/testify/assert) and
> test. Otherwise it is OK. Licence se correct.

%changelog
* Thu Oct 30 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.5.1-2
- Resolves: rhbz#1158670 - initial package bug
- courtesy Jan Chaloupka <jchaloup@redhat.com>
- update dependencies
- add check


Spec URL: https://lsm5.fedorapeople.org/golang-github-Sirupsen-logrus/golang-github-Sirupsen-logrus.spec
SRPM URL: https://lsm5.fedorapeople.org/golang-github-Sirupsen-logrus/SRPMS/golang-github-Sirupsen-logrus-0.5.1-2.fc22.src.rpm


Vincent: Jan and I were talking about this a few mins back, if we're installing examples, do we need to Provide the imports in examples as well? Or just leave it to the user to get those imports?

Comment 4 Jan Chaloupka 2014-10-30 15:47:16 UTC
This is optional from my point of view. It is example and if user wishes to try it, he can install the missing deps. Of course, we can package the deps too. But still we don't need it for building not for installing.

Comment 5 Jan Chaloupka 2014-10-30 15:59:39 UTC
As Vincent wrote, the spec file complies with the current go guidelines. Package approved.

Comment 6 Lokesh Mandvekar 2014-10-30 16:03:20 UTC
New Package SCM Request
=======================
Package Name: golang-github-Sirupsen-logrus
Short Description: Structured logger for Go
Upstream URL: https://github.com/Sirupsen/logrus
Owners: lsm5 jchaloup vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 7 Gwyn Ciesla 2014-10-30 18:59:41 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-11-12 03:21:57 UTC
golang-github-Sirupsen-logrus-0.5.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-Sirupsen-logrus-0.5.1-2.fc21

Comment 9 Fedora Update System 2014-11-12 03:47:54 UTC
golang-github-Sirupsen-logrus-0.5.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-Sirupsen-logrus-0.5.1-2.fc20

Comment 10 Fedora Update System 2014-11-13 18:13:52 UTC
golang-github-Sirupsen-logrus-0.5.1-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 11 Fedora Update System 2014-11-22 12:39:35 UTC
golang-github-Sirupsen-logrus-0.5.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-11-30 20:32:58 UTC
golang-github-Sirupsen-logrus-0.6.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-Sirupsen-logrus-0.6.0-1.fc21

Comment 13 Fedora Update System 2014-12-23 18:27:23 UTC
golang-github-Sirupsen-logrus-0.6.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-01-02 15:45:03 UTC
golang-github-Sirupsen-logrus-0.6.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-Sirupsen-logrus-0.6.2-1.fc20

Comment 15 Fedora Update System 2015-01-02 15:45:31 UTC
golang-github-Sirupsen-logrus-0.6.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-Sirupsen-logrus-0.6.2-1.fc21

Comment 16 Fedora Update System 2015-01-02 15:55:18 UTC
golang-github-Sirupsen-logrus-0.6.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-Sirupsen-logrus-0.6.2-1.el6

Comment 17 Fedora Update System 2015-01-17 05:44:57 UTC
golang-github-Sirupsen-logrus-0.6.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-01-17 05:51:07 UTC
golang-github-Sirupsen-logrus-0.6.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-07-23 14:31:31 UTC
golang-github-Sirupsen-logrus-0.8.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-Sirupsen-logrus-0.8.4-1.el6

Comment 20 Fedora Update System 2015-08-10 13:49:04 UTC
golang-github-Sirupsen-logrus-0.8.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-Sirupsen-logrus-0.8.4-2.el6


Note You need to log in before you can comment on or make changes to this bug.